Bug 181442 - [PATCH] databases/py27-carbon: update to 0.9.11
Summary: [PATCH] databases/py27-carbon: update to 0.9.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-21 05:10 UTC by Steve Wills
Modified: 2013-09-30 20:30 UTC (History)
1 user (show)

See Also:


Attachments
py27-carbon-0.9.11.patch (3.21 KB, patch)
2013-08-21 05:10 UTC, Steve Wills
no flags Details | Diff
whisper-0.9.12.patch.txt (4.02 KB, text/plain; charset=us-ascii)
2013-08-22 03:23 UTC, Steve Wills
no flags Details
carbon_0.9.12.patch.txt (3.21 KB, text/plain; charset=us-ascii)
2013-08-22 03:22 UTC, Steve Wills
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2013-08-21 05:10:00 UTC
- Update to 0.9.11

Port maintainer (bsdports@wayfair.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-08-21 05:10:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-08-21 05:10:10 UTC
Maintainer of databases/py-carbon,

Please note that PR ports/181442 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181442

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Steve Wills freebsd_committer 2013-08-22 03:22:02 UTC
A new version was released, please see updated patch attached.
Comment 4 Steve Wills freebsd_committer 2013-08-22 03:23:14 UTC
A new version was released, please see updated patch attached.
Comment 5 Steve Wills freebsd_committer 2013-08-22 03:28:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-09-30 20:24:43 UTC
Author: swills
Date: Mon Sep 30 19:24:34 2013
New Revision: 328847
URL: http://svnweb.freebsd.org/changeset/ports/328847

Log:
  - Update to 0.9.12
  
  PR:		ports/181442
  Approved by:	maintainer timeout (bsdports@wayfair.com, >3 weeks)
  Security:	CVE-2013-5942 (vuxml entry on the way)

Modified:
  head/databases/py-carbon/Makefile   (contents, props changed)
  head/databases/py-carbon/distinfo   (contents, props changed)
  head/databases/py-carbon/files/patch-setup.py   (contents, props changed)
  head/databases/py-carbon/pkg-plist   (contents, props changed)

Modified: head/databases/py-carbon/Makefile
==============================================================================
--- head/databases/py-carbon/Makefile	Mon Sep 30 19:12:58 2013	(r328846)
+++ head/databases/py-carbon/Makefile	Mon Sep 30 19:24:34 2013	(r328847)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	carbon
-PORTVERSION=	0.9.10
-PORTREVISION=	2
+PORTVERSION=	0.9.12
 CATEGORIES=	databases python
-MASTER_SITES=	http://launchpad.net/graphite/0.9/${PORTVERSION}/+download/
+MASTER_SITES=	https://github.com/graphite-project/${PORTNAME}/archive/${PORTVERSION}.tar.gz?dummy=
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	bsdports@wayfair.com
@@ -19,7 +18,7 @@ RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}txam
 USE_PYTHON=	-2.7
 USE_PYDISTUTILS=	yes
 USE_TWISTED_RUN=	yes
-FETCH_ARGS=	-pRr
+FETCH_ARGS=	-o ${DISTNAME}${EXTRACT_SUFX}
 USE_RC_SUBR=	carbon
 
 NO_STAGE=	yes

Modified: head/databases/py-carbon/distinfo
==============================================================================
--- head/databases/py-carbon/distinfo	Mon Sep 30 19:12:58 2013	(r328846)
+++ head/databases/py-carbon/distinfo	Mon Sep 30 19:24:34 2013	(r328847)
@@ -1,2 +1,2 @@
-SHA256 (carbon-0.9.10.tar.gz) = 4f37e00595b5b078edb9b3f5cae318f752f4446a82623ea4da97dd7d0f6a5072
-SIZE (carbon-0.9.10.tar.gz) = 42201
+SHA256 (carbon-0.9.12.tar.gz) = 06003f72fd022a7c571734cf3acdcd9c784d505c145acbf0906a2fef886abaa6
+SIZE (carbon-0.9.12.tar.gz) = 52107

Modified: head/databases/py-carbon/files/patch-setup.py
==============================================================================
--- head/databases/py-carbon/files/patch-setup.py	Mon Sep 30 19:12:58 2013	(r328846)
+++ head/databases/py-carbon/files/patch-setup.py	Mon Sep 30 19:24:34 2013	(r328847)
@@ -1,6 +1,6 @@
---- setup.py.ori	2012-06-21 16:04:03.284808706 -0700
-+++ setup.py	2012-06-21 16:05:09.681811949 -0700
-@@ -12,9 +12,9 @@
+--- setup.py.orig	2013-08-20 17:37:08.000000000 +0000
++++ setup.py	2013-08-21 01:19:40.025390594 +0000
+@@ -13,9 +13,9 @@
    setup_kwargs = dict()
  
  
@@ -10,6 +10,6 @@
 +storage_dirs = [ ('/var/db/graphite/storage/whisper',[]), ('/var/db/graphite/storage/lists',[]),
 +                 ('/var/db/graphite/storage/log',[]), ('/var/db/graphite/storage/rrd',[]) ]
 +conf_files = [ ('/usr/local/etc/carbon', glob('conf/*.example')) ]
- #XXX Need a way to have these work for bdist_rpm but be left alone for everything else
- #init_scripts = [ ('/etc/init.d', ['distro/redhat/init.d/carbon-cache',
- #                                  'distro/redhat/init.d/carbon-relay',
+ 
+ install_files = storage_dirs + conf_files
+ 

Modified: head/databases/py-carbon/pkg-plist
==============================================================================
--- head/databases/py-carbon/pkg-plist	Mon Sep 30 19:12:58 2013	(r328846)
+++ head/databases/py-carbon/pkg-plist	Mon Sep 30 19:24:34 2013	(r328847)
@@ -24,6 +24,7 @@ bin/validate-storage-schemas.py
 %%PYTHON_SITELIBDIR%%/carbon/amqp_publisher.py
 %%PYTHON_SITELIBDIR%%/carbon/cache.py
 %%PYTHON_SITELIBDIR%%/carbon/client.py
+%%PYTHON_SITELIBDIR%%/carbon/exceptions.py
 %%PYTHON_SITELIBDIR%%/carbon/util.py
 %%PYTHON_SITELIBDIR%%/carbon/relayrules.py
 %%PYTHON_SITELIBDIR%%/carbon/hashing.py
@@ -58,6 +59,7 @@ bin/validate-storage-schemas.py
 %%PYTHON_SITELIBDIR%%/carbon/amqp_publisher.pyc
 %%PYTHON_SITELIBDIR%%/carbon/cache.pyc
 %%PYTHON_SITELIBDIR%%/carbon/client.pyc
+%%PYTHON_SITELIBDIR%%/carbon/exceptions.pyc
 %%PYTHON_SITELIBDIR%%/carbon/util.pyc
 %%PYTHON_SITELIBDIR%%/carbon/relayrules.pyc
 %%PYTHON_SITELIBDIR%%/carbon/hashing.pyc
@@ -79,6 +81,7 @@ bin/validate-storage-schemas.py
 %%PYTHON_SITELIBDIR%%/carbon/amqp_publisher.pyo
 %%PYTHON_SITELIBDIR%%/carbon/cache.pyo
 %%PYTHON_SITELIBDIR%%/carbon/client.pyo
+%%PYTHON_SITELIBDIR%%/carbon/exceptions.pyo
 %%PYTHON_SITELIBDIR%%/carbon/util.pyo
 %%PYTHON_SITELIBDIR%%/carbon/relayrules.pyo
 %%PYTHON_SITELIBDIR%%/carbon/hashing.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Steve Wills freebsd_committer 2013-09-30 20:25:10 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!